service: vwpro

provider:
  name: aws
  runtime: python3.8
  stage: prod
  region: us-east-1
  iamRoleStatements:
    - Effect: "Allow"
      Action:
       - dynamodb:Query
       - dynamodb:Scan
       - dynamodb:GetItem
       - dynamodb:PutItem
       - dynamodb:UpdateItem
       - dynamodb:DeleteItem
      Resource:
        Fn::GetAtt:
          - vwdb
          - Arn

plugins:
  - serverless-python-requirements

package:
  individually: true

functions:
  theLambda:
    name: addcar
    handler: lambda.lambda_handler
    description: vm-project
    timeout: 3
    memorySize: 128
    events:
      - http:
          path: /
          method: post
          cors: false
          async: false
          private: false
    package:
      patterns:
        - "!node_modules/**"
        - "!yarn.lock"
        - "!package-lock.json"
        - "!package.json"
resources:
  Resources:
    vwdb:
      Type: AWS::DynamoDB::Table
      Properties:
        TableName: cartable
        AttributeDefinitions:
          - AttributeName: name
            AttributeType: S
        KeySchema:
          - AttributeName: name
            KeyType: HASH
        ProvisionedThroughput:
          ReadCapacityUnits: 1
          WriteCapacityUnits: 1